'use strict';

exports.__esModule = true;
exports.default = attacher;

var _highlight = require('highlight.js');

var _highlight2 = _interopRequireDefault(_highlight);

var _unistUtilVisit = require('unist-util-visit');

var _unistUtilVisit2 = _interopRequireDefault(_unistUtilVisit);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function attacher(remark) {
    var _ref = arguments.length <= 1 || arguments[1] === undefined ? {} : arguments[1];

    var include = _ref.include;
    var exclude = _ref.exclude;

    function visitor(node) {
        var lang = node.lang;

        if (!lang || include && ! ~include.indexOf(lang) || exclude && ~exclude.indexOf(lang)) {
            return;
        }

        var data = node.data;


        if (!data) {
            node.data = data = {};
        }

        data.htmlContent = _highlight2.default.highlightAuto(node.value, [lang]).value;
        data.htmlAttributes = data.htmlAttributes || {};
        data.htmlAttributes.class = ['hljs', data.htmlAttributes.class].filter(Boolean).join(' ');
    }

    return function (ast) {
        return (0, _unistUtilVisit2.default)(ast, 'code', visitor);
    };
}
module.exports = exports['default'];